Subject: osmo-pcu.git branch sysmocom/master updated. 0.2-240-g11f2d58
From: [email-masked]
To: [email-masked]
Date: Wed, 11 Dec 2013 11:46:23 GMT

This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "UNNAMED PROJECT".

The branch, sysmocom/master has been updated
  discards  b5e47d1544668eba4cea984b9a6013b07b4a3d5a (commit)
  discards  bedaa03d7ba4a68adcb0d1571271dc0aeaec1a9b (commit)
       via  11f2d58dbd0f590da3612a9f587a23b92857436f (commit)
       via  3cbf9e040c8a84886468fe70e99d8d578d379b0d (commit)

This update added new revisions after undoing existing revisions.  That is
to say, the old revision is not a strict subset of the new revision.  This
situation occurs when you --force push a change and generate a repository
containing something like this:

 * -- * -- B -- O -- O -- O (b5e47d1544668eba4cea984b9a6013b07b4a3d5a)
            \
             N -- N -- N (11f2d58dbd0f590da3612a9f587a23b92857436f)

When this happens we assume that you've already had alert emails for all
of the O revisions, and so we here report only the revisions in the N
branch from the common base, B.

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.

- Log -----------------------------------------------------------------
http://cgit.osmocom.org/osmo-pcu/commit/?id=11f2d58dbd0f590da3612a9f587a23b92857436f

commit 11f2d58dbd0f590da3612a9f587a23b92857436f
Author: Holger Hans Peter Freyther <[email-masked]>
Date:   Tue Nov 26 23:32:49 2013 +0100

    rlc: Create a testcase for the uplink window

http://cgit.osmocom.org/osmo-pcu/commit/?id=3cbf9e040c8a84886468fe70e99d8d578d379b0d

commit 3cbf9e040c8a84886468fe70e99d8d578d379b0d
Author: Holger Hans Peter Freyther <[email-masked]>
Date:   Tue Nov 26 21:43:58 2013 +0100

    rlc: Make the RLC types only operate on the BSN
    
    The code has an internal optimization to only use window_size
    space. This means that the caller needed to know that only half
    of the size was used. Change the API to work on the BSN and do
    the mapping internally. The compiler should have plenty of
    opportunity to propagate the constant(s) but this has not been
    verified.

-----------------------------------------------------------------------

Summary of changes:
 src/encoding.cpp | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

hooks/post-receive
-- 
UNNAMED PROJECT